SINGLE_SYMBOL_TESTS = [
    ("--.--.", "FEIN", None),
    ("-..", "5 PERCENT TINT", "5 PERCENT TINTD"),
    ("---.", "5 PERCENT TINT", None),
    ("--.-.", "NIGHTCRAWLER", None),
    (".-.-", "SICKO MODE", None),
    (".-..", "THE SCOTTS", "THE SCOTTSL"),
    ("-", "NIGHTCRAWLER", "NIGHTCRAWLERT"),
    ("-...", "NIGHTCRAWLER", "NIGHTCRAWLERB"),
    ("-.-.", "GOOSEBUMPS", "GOOSEBUMPSC"),
    (".--..", "CIRCUS MAXIMUS", None),
    (".--.-", "GOOSEBUMPS", None),
    ("..--..", "", None),
    ("-.--.", "SICKO MODE", None),
    ("-.", "5 PERCENT TINT", "5 PERCENT TINTN"),
    ("...---", "MELTDOWN", None),
    ("", "", None),
    ("...-", "FEIN", "FEINV"),
    (".--.", "HIGHEST IN THE ROOM", "HIGHEST IN THE ROOMP"),
    (".---", "MELTDOWN", "MELTDOWNJ"),
    (".-..", "THE SCOTTS", "THE SCOTTSL"),
    ("-.-", "NIGHTCRAWLER", "NIGHTCRAWLERK"),
    ("..-.", "HIGHEST IN THE ROOM", "HIGHEST IN THE ROOMF"),
    ("-.-.", "", "C"),
    ("---.", "CIRCUS MAXIMUS", None),
    ("", "5 PERCENT TINT", None),
    ("..--", "HIGHEST IN THE ROOM", None),
    ("-..", "SICKO MODE", "SICKO MODED"),
    (".--.", "NIGHTCRAWLER", "NIGHTCRAWLERP"),
    ("-.---", "FEIN", None),
    ("--.--", "", None),
    ("-..-", "CIRCUS MAXIMUS", "CIRCUS MAXIMUSX"),
    ("-.--", "GOOSEBUMPS", "GOOSEBUMPSY"),
    ("---..", "HIGHEST IN THE ROOM", "HIGHEST IN THE ROOM8"),
    (".-.", "HIGHEST IN THE ROOM", "HIGHEST IN THE ROOMR"),
    ("-.--.", "5 PERCENT TINT", None),
    (".....", "", "5"),
    ("-..--", "CIRCUS MAXIMUS", None),
    ("---..", "90210", "902108"),
    ("-...", "NIGHTCRAWLER", "NIGHTCRAWLERB"),
    (".-...", "THE SCOTTS", None),
    ("--", "5 PERCENT TINT", "5 PERCENT TINTM"),
    (".", "FEIN", "FEINE"),
    ("----.", "CIRCUS MAXIMUS", "CIRCUS MAXIMUS9"),
    ("--.-", "HIGHEST IN THE ROOM", "HIGHEST IN THE ROOMQ"),
    ("-.-..", "FEIN", None),
    (".-.---", "SICKO MODE", None),
    ("--..--", "", None),
    ("-.", "90210", "90210N"),
    (".-", "THE SCOTTS", "THE SCOTTSA"),
    ("..", "GOOSEBUMPS", "GOOSEBUMPSI"),
    (".---.", "SICKO MODE", None),
    (".....", "", "5"),
    ("-.-.--", "HIGHEST IN THE ROOM", None),
    ("--.-", "5 PERCENT TINT", "5 PERCENT TINTQ"),
    ("--.-", "SICKO MODE", "SICKO MODEQ"),
    ("-.-...", "HIGHEST IN THE ROOM", None),
    ("....-", "HIGHEST IN THE ROOM", "HIGHEST IN THE ROOM4"),
    (".-.", "90210", "90210R"),
    ("---", "THE SCOTTS", "THE SCOTTSO"),
    ("-----", "MELTDOWN", "MELTDOWN0"),
    ("-...", "HIGHEST IN THE ROOM", "HIGHEST IN THE ROOMB"),
    ("-.-.", "CIRCUS MAXIMUS", "CIRCUS MAXIMUSC"),
    (".--", "5 PERCENT TINT", "5 PERCENT TINTW"),
    ("--", "I KNOW", "I KNOWM"),
    (".-....", "GOOSEBUMPS", None),
    ("-.....", "MELTDOWN", None),
    ("-.-..", "", None),
    ("--...-", "GOOSEBUMPS", None),
    ("..-", "", "U"),
    ("-..--", "I KNOW", None),
    ("---", "I KNOW", "I KNOWO"),
    (".-..-", "NIGHTCRAWLER", None),
    (".--...", "SICKO MODE", None),
    ("--", "CIRCUS MAXIMUS", "CIRCUS MAXIMUSM"),
    ("-.---", "I KNOW", None),
    (".-..", "SICKO MODE", "SICKO MODEL"),
    ("..-", "HIGHEST IN THE ROOM", "HIGHEST IN THE ROOMU"),
    ("-..-..", "MELTDOWN", None),
    (".", "I KNOW", "I KNOWE"),
    ("-..-", "CIRCUS MAXIMUS", "CIRCUS MAXIMUSX"),
    ("----", "X", "X "),
]
